| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
GaudiConfig.ControlFlow._TestVisitor Class Reference
Inheritance diagram for GaudiConfig.ControlFlow._TestVisitor:
[legend]
Collaboration diagram for GaudiConfig.ControlFlow._TestVisitor:
[legend]

## Public Member Functions
def | __init__ (self)
def | enter (self, visitee)
def | leave (self, visitee)

## Public Attributes
| depths

## Detailed Description

Definition at line 190 of file ControlFlow.py.

## Constructor & Destructor Documentation

def GaudiConfig.ControlFlow._TestVisitor.__init__ | ( |  | self | ) |

Definition at line 191 of file ControlFlow.py.

191 def __init__(self):
192 self.depths = 0
193
GaudiConfig.ControlFlow._TestVisitor.depths
depths
Definition: ControlFlow.py:192
GaudiConfig.ControlFlow._TestVisitor.__init__
def __init__(self)
Definition: ControlFlow.py:191

## Member Function Documentation

def GaudiConfig.ControlFlow._TestVisitor.enter | ( |  | self,
|  |  | visitee
| ) |  |

Definition at line 194 of file ControlFlow.py.

194 def enter(self, visitee):
195 self.depths += 1
196 print "%sEntering %s" % (self.depths*" ", type(visitee))
197 if isinstance(visitee, ControlFlowLeaf):
198 print "%s Algorithm name: %s" % (" "*self.depths, visitee)
199
GaudiConfig.ControlFlow._TestVisitor.enter
def enter(self, visitee)
Definition: ControlFlow.py:194
GaudiConfig.ControlFlow._TestVisitor.depths
depths
Definition: ControlFlow.py:192
gaudirun.type
type
Definition: gaudirun.py:125

def GaudiConfig.ControlFlow._TestVisitor.leave | ( |  | self,
|  |  | visitee
| ) |  |

Definition at line 200 of file ControlFlow.py.

200 def leave(self, visitee):
201 print "%sLeaving %s" % (self.depths * " ", type(visitee))
202 self.depths -= 1
203
204
GaudiConfig.ControlFlow._TestVisitor.leave
def leave(self, visitee)
Definition: ControlFlow.py:200
GaudiConfig.ControlFlow._TestVisitor.depths
depths
Definition: ControlFlow.py:192
gaudirun.type
type
Definition: gaudirun.py:125

## Member Data Documentation

GaudiConfig.ControlFlow._TestVisitor.depths

Definition at line 192 of file ControlFlow.py.

The documentation for this class was generated from the following file:

- GaudiKernel/python/GaudiConfig/ControlFlow.py